# Uses of Class
org.apache.avro.io.DecoderFactory

Packages that use DecoderFactory
Package
Description
org.apache.avro.io
Utilities for Encoding and Decoding Avro data.

## Uses of DecoderFactory in org.apache.avro.io

Methods in org.apache.avro.io that return DecoderFactory
Modifier and Type
Method
Description
`DecoderFactory`
DecoderFactory.`configureDecoderBufferSize(int size)`
Configures this factory to use the specified buffer size when creating Decoder instances that buffer their input.
`static DecoderFactory`
DecoderFactory.`defaultFactory()`
Deprecated.
use the equivalent `get()` instead
`static DecoderFactory`
DecoderFactory.`get()`
Returns an immutable static DecoderFactory configured with default settings All mutating methods throw IllegalArgumentExceptions.